#include "util.h"

#ifdef SHR3D_SFX_CORE_NEURALAMPMODELER

#include <algorithm>

std::string util::lowercase(const std::string& s)
{
  std::string out(s);
  std::transform(s.begin(), s.end(), out.begin(), [](unsigned char c) { return std::tolower(c); });
  return out;
}

#endif // SHR3D_SFX_CORE_NEURALAMPMODELER
